For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
  • Customer Request API
  • Management API
      • GETList API keys
      • POSTCreate API key
      • GETRetrieve API key
      • DELDelete API key
      • Api_key
      • Scopes
LogoLogo
Management APIAPI Keys

Retrieve API key

GET
/api-keys/:api_key_id
GET
/management/v1/api-keys/:api_key_id
$curl https://api.cash.app/management/v1/api-keys/api_key_id \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
1{
2 "api_key": {
3 "id": "KEY_2f6cd0d5cc26b34ac8785026b149797ecc0758be3dc3a857d405f2f62074ef30",
4 "created_at": "2022-01-01T00:00:00Z",
5 "expires_at": "2022-02-01T00:00:00Z",
6 "scopes": [
7 "PAYMENTS_READ"
8 ],
9 "reference_id": "string"
10 }
11}

Retrieves an API key by ID.

This endpoint is rate limited to 10 QPS.

Scopes: API_KEYS_READ

Was this page helpful?
Previous

Delete API key

Next
Built with

Path parameters

api_key_idstringRequired

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Response

OK
api_keyobject

Errors

404
Not Found Error